#!/usr/local/bin/perl5 

while(<>) {
    chop;
    ($word,$pron,$category,$rate,$thisrep,$nextrep,$followsil,$fp,$binitial,$rinitial,$bdinitial,$rdinitial)=split;

    $bdinitial="N" if $bdinitial eq "X";
    $rdinitial="N" if $rdinitial eq "X";

    $marker=$word.":".$category;

    if (!defined($cats{$word})) {
	$cats{$word}={};
    }
    $cats{$word}->{$category}=1;

    if ($followsil) {
	$silcount{$marker}++;
	$silrate{$marker}+=$rate;
    } elsif ($fp) {
	$fpcount{$marker}++;
	$fprate{$marker}+=$rate;
    } elsif ($nextrep) {
	$repcount{$marker}++;
	$reprate{$marker}+=$rate;
    }

    if (!defined($binitcount{$marker})) {
	$binitcount{$marker}={};
	$bdinitcount{$marker}={};
	$binitrate{$marker}={};
	$bdinitrate{$marker}={};
    }
    
    $binitcount{$marker}->{$binitial}++;
    $binitrate{$marker}->{$binitial}+=$rate;
    
    $bdinitcount{$marker}->{$bdinitial}++;
    $bdinitrate{$marker}->{$bdinitial}+=$rate;

}

foreach $i ("i","and","the","that","a","you","to","of","it","in") {
    foreach $c (sort keys %{$cats{$i}}) {
	$marker=$i.":".$c;
	$silrate{$marker}=$silrate{$marker}/$silcount{$marker} if ($silcount{$marker}>0);
	$fprate{$marker}=$fprate{$marker}/$fpcount{$marker} if ($fpcount{$marker}>0);
	$reprate{$marker}=$reprate{$marker}/$repcount{$marker} if ($repcount{$marker}>0);
	
	printf("%-5s%-7s %-4d %-.4f %-4d %-.4f %-4d %-.4f\n",$i,$c,$silcount{$marker},$silrate{$marker},$fpcount{$marker},$fprate{$marker},$repcount{$marker},$reprate{$marker})
	}
}
print "\n\n";

foreach $i ("i","and","the","that","a","you","to","of","it","in") {
    foreach $c (sort keys %{$cats{$i}}) {
	$marker=$i.":".$c;
	$binitrate{$marker}->{"C"}=$binitrate{$marker}->{"C"}/$binitcount{$marker}->{"C"} if ($binitcount{$marker}->{"C"}>0);
	$bdinitrate{$marker}->{"C"}=$bdinitrate{$marker}->{"C"}/$bdinitcount{$marker}->{"C"} if ($bdinitcount{$marker}->{"C"}>0);
	$binitrate{$marker}->{"V"}=$binitrate{$marker}->{"V"}/$binitcount{$marker}->{"V"} if ($binitcount{$marker}->{"V"}>0);
	$bdinitrate{$marker}->{"V"}=$bdinitrate{$marker}->{"V"}/$bdinitcount{$marker}->{"V"} if ($bdinitcount{$marker}->{"V"}>0);
	$bdinitrate{$marker}->{"N"}=$bdinitrate{$marker}->{"N"}/$bdinitcount{$marker}->{"N"} if ($bdinitcount{$marker}->{"N"}>0);
	printf("%-5s%-7s %-4d %-.4f %-4d %-.4f %-4d %-.4f %-4d %-.4f %-4d %-.4f\n",$i,$c,$binitcount{$marker}->{"C"},$binitrate{$marker}->{"C"},$binitcount{$marker}->{"V"},$binitrate{$marker}->{"V"},$bdinitcount{$marker}->{"C"},$bdinitrate{$marker}->{"C"},$bdinitcount{$marker}->{"V"},$bdinitrate{$marker}->{"V"},$bdinitcount{$marker}->{"N"},$bdinitrate{$marker}->{"N"});
    }
}


